Redmine - Defect #32765

##123 syntax for linking to issues: Title cannot be distinguished from following text
2020-01-08 08:58 - Robert Schneider

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 411

Resolution: Fixed Affected version: 4.1.0
Description

Relates to #29488.

The displayed title of the linked issue has the same style as the normal text, what could lead to confusing information. A minimal fix
would be to add the link color also to the title (bold or not bold).

Related issues:
Related to Redmine - Patch #29488: ##123 syntax for linking to issues with tr... Closed

Associated revisions

Revision 19663 - 2020-04-05 12:51 - Jean-Philippe Lang
##123 syntax for linking to issues: Title cannot be distinguished from following text (#32765).

Patch by Marius BALTEANU.

Revision 19668 - 2020-04-05 16:13 - Jean-Philippe Lang
Merged r19663 to 4.1-stable (#32765).

History

#1 - 2020-01-08 08:59 - Go MAEDA
- Related to Patch #29488: ##123 syntax for linking to issues with tracker name and subject added

#2 - 2020-01-12 21:08 - Marius BALTEANU
- File highlight.png added

- File link.png added

| agree that we should have different styles.
Attached two screenshots:

1. Subject as link (as Robert proposed)

link.png

2. Highlight the entire text using the style from inline code:
highlight.png

#3 - 2020-01-14 05:34 - Bernhard Rohloff

| think formatting the subject as link is more consistent and fits better than the inline code style.
+1 for the link variant.

#4 - 2020-01-14 06:08 - Go MAEDA

| prefer the first option (render subject as link). It is consistent with links to other objects such as message and user.

#5 - 2020-01-18 13:48 - Jean-Philippe Lang

- Target version set to 4.1.1

#6 - 2020-01-21 21:52 - Marius BALTEANU
- File fix_32765.patch added

2025-05-01 1/2



https://www.redmine.org/issues/29488

Here is a patch that includes the subject in the linked text, but | think that we should change the title as well because right now we show the entire
subject and the title shows the subject truncated at 100 characters and the status. Maybe it is enough to show "label_status: status".

#7 - 2020-03-31 07:04 - Go MAEDA
Marius BALTEANU wrote:

but | think that we should change the title as well because right now we show the entire subject and the title shows the subject truncated at 100

characters and the status. Maybe it is enough to show "label_status: status".

| agree.

#8 - 2020-04-05 11:07 - Marius BALTEANU
- File fix_32765_v2.patch added

Go MAEDA wrote:

Marius BALTEANU wrote:

but | think that we should change the title as well because right now we show the entire subject and the title shows the subject truncated at
100 characters and the status. Maybe it is enough to show "label_status: status".

| agree.

Updated the patch.

#9 - 2020-04-05 12:52 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks!

#10 - 2020-04-05 16:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

Files

highlight.png 108 KB 2020-01-12 Marius BALTEANU
link.png 105 KB 2020-01-12 Marius BALTEANU
fix_32765.patch 4.7 KB 2020-01-21 Marius BALTEANU
fix_32765_v2.patch 457 KB 2020-04-05 Marius BALTEANU
